Skip to main content

Get Port-In Request Errors

This request returns the validation and carrier errors reported against a port-in request, targeted by secure ID. Errors are reported when status is precheck_failed or carrier_rejected.

get /porting/port_in/{port_in_sid}/errors

Sample​

A sample GET request to get the errors for the port-in request, targeted by secure ID:

curl -X GET \
'https://api.carrierx.com/core/v2/porting/port_in/c7eae0b4-5eda-4964-8998-d514903b4af0/errors' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a list of Port-In Error objects:

[
{
"type": "validation",
"field": "account_number",
"message": "account_number does not match the losing carrier's records"
},
{
"type": "validation",
"field": "phonenumbers",
"message": "19512623062 is not associated with the existing_service_provider on file"
}
]

Required Scopes​

To get the errors for a Port-In Request object, the partner must have one of the following scopes enabled:

  • porting.manage
  • porting.read

Path Arguments​

ParameterData TypeDescription
port_in_sid requiredstringThe Port-In Request secure ID.